Bug 23274 - t/db_dependent/XISBN.t fails with Elasticsearch
Summary: t/db_dependent/XISBN.t fails with Elasticsearch
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-06 12:24 UTC by Katrin Fischer
Modified: 2020-02-05 22:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 23274: Mock simple_search_compat to cover both search engines (1.26 KB, patch)
2019-11-26 12:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23274: Mock simple_search_compat to cover both search engines (1.30 KB, patch)
2020-01-09 22:12 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 23274: Mock simple_search_compat to cover both search engines (1.38 KB, patch)
2020-01-10 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-07-06 12:24:24 UTC
What is says in the title:

- Run t/db_dependent/XISBN.t - tests pass
- Activate Elasticsearch
- t/db_dependent/XISBN.t fails
Comment 1 Jonathan Druart 2019-11-20 13:41:28 UTC
Maybe a duplicate of bug 23769.
Comment 2 Nick Clemens 2019-11-26 12:57:39 UTC
Created attachment 95823 [details] [review]
Bug 23274: Mock simple_search_compat to cover both search engines
Comment 3 Nick Clemens 2019-11-26 13:01:50 UTC
Testing here did highlight bug 24119
Comment 4 Michal Denar 2020-01-09 22:12:51 UTC
Created attachment 97144 [details] [review]
Bug 23274: Mock simple_search_compat to cover both search engines

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Jonathan Druart 2020-01-10 09:25:12 UTC
Created attachment 97168 [details] [review]
Bug 23274: Mock simple_search_compat to cover both search engines

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-01-10 10:51:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-01-30 23:56:38 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 8 Lucas Gass 2020-02-05 22:14:54 UTC
backported to 19.05.x for 19.05.08